<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Name: Organizer unnatural death details
Description: 
         Organizer voor alle informatie gerelateerd aan een onnatuurlijke dood  Versiegegevens 2023-03-30: 
           
             NNDoodDuurOverlijdenNaOngeval (0..1 C) is toegevoegd saan de dataset, transacties en deze template 
             OrganizerTrafficAccidentDetails was 0..1 R, is nu 0..1 C gerelateerd aan doodsoorzaak verkeersongeval 
             observation/code gewijzigd van 0..1 LOINC 46696-1 "Additional comments [RFC]" naar 1..1 M SNOMED CT 311071000146101 "bevinding betreffende niet-natuurlijke dood" conform dataset 
           
         
      
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818">
   <title>Organizer unnatural death details</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]
Item: (OrganizerUnnaturalDeathDetails)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]
Item: (OrganizerUnnaturalDeathDetails)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]"
         id="d42e2083-false-d11796e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@classCode) = ('CLUSTER')">(OrganizerUnnaturalDeathDetails): de waarde van classCode MOET 'CLUSTER' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(OrganizerUnnaturalDeathDetails): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']) &gt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']) &lt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:code[(@code = '311071000146101' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:code[(@code = '311071000146101' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:code[(@code = '311071000146101' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:code[(@code = '311071000146101' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:statusCode[@code = 'completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.57']]]) &lt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.57']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.23']]]) &lt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.23']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.24']]]) &lt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.24']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.25']]]) &lt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.25']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.26']]]) &lt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.26']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.56']]]) &lt;= 1">(OrganizerUnnaturalDeathDetails): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.56']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']
Item: (OrganizerUnnaturalDeathDetails)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']"
         id="d42e2089-false-d11901e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(OrganizerUnnaturalDeathDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.104.10.30')">(OrganizerUnnaturalDeathDetails): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.30' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:code[(@code = '311071000146101' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (OrganizerUnnaturalDeathDetails)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:code[(@code = '311071000146101' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e2094-false-d11916e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(OrganizerUnnaturalDeathDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="@nullFlavor or (@code='311071000146101' and @codeSystem='2.16.840.1.113883.6.96')">(OrganizerUnnaturalDeathDetails): de elementwaarde MOET een zijn van 'code '311071000146101' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="@displayName">(OrganizerUnnaturalDeathDetails): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:statusCode[@code = 'completed']
Item: (OrganizerUnnaturalDeathDetails)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:statusCode[@code = 'completed']"
         id="d42e2105-false-d11936e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(OrganizerUnnaturalDeathDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="@nullFlavor or (@code='completed')">(OrganizerUnnaturalDeathDetails): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.57']]]
Item: (OrganizerUnnaturalDeathDetails)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.57']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(OrganizerUnnaturalDeathDetails): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(OrganizerUnnaturalDeathDetails): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.23']]]
Item: (OrganizerUnnaturalDeathDetails)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.23']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(OrganizerUnnaturalDeathDetails): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(OrganizerUnnaturalDeathDetails): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.24']]]
Item: (OrganizerUnnaturalDeathDetails)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.24']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(OrganizerUnnaturalDeathDetails): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(OrganizerUnnaturalDeathDetails): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.25']]]
Item: (OrganizerUnnaturalDeathDetails)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.25']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(OrganizerUnnaturalDeathDetails): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(OrganizerUnnaturalDeathDetails): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.26']]]
Item: (OrganizerUnnaturalDeathDetails)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.26']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(OrganizerUnnaturalDeathDetails): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(OrganizerUnnaturalDeathDetails): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.30
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.56']]]
Item: (OrganizerUnnaturalDeathDetails)
-->
   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.30']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.104.10.56']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(OrganizerUnnaturalDeathDetails): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/cbs-dstat/cbs-dstat-html-20231030T223303/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.30-2014-03-04T101818.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(OrganizerUnnaturalDeathDetails): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
